
package cdpp3dview.types;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Star complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Star">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="dec" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *         &lt;element name="ra" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *         &lt;element name="vm" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Star", propOrder = {
    "id",
    "dec",
    "ra",
    "vm"
})
public class Star {

    protected int id;
    protected float dec;
    protected float ra;
    protected float vm;

    public Star() {
    }

    public Star(int id, float dec, float ra, float vm) {
        this.id = id;
        this.dec = dec;
        this.ra = ra;
        this.vm = vm;
    }

    /**
     * Gets the value of the id property.
     * 
     */
    public int getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     */
    public void setId(int value) {
        this.id = value;
    }

    /**
     * Gets the value of the dec property.
     * 
     */
    public float getDec() {
        return dec;
    }

    /**
     * Sets the value of the dec property.
     * 
     */
    public void setDec(float value) {
        this.dec = value;
    }

    /**
     * Gets the value of the ra property.
     * 
     */
    public float getRa() {
        return ra;
    }

    /**
     * Sets the value of the ra property.
     * 
     */
    public void setRa(float value) {
        this.ra = value;
    }

    /**
     * Gets the value of the vm property.
     * 
     */
    public float getVm() {
        return vm;
    }

    /**
     * Sets the value of the vm property.
     * 
     */
    public void setVm(float value) {
        this.vm = value;
    }

}
